Contributors mailing list archives

contributors@odoo-community.org

Avatar

Re: 15.0 branches

by
NextERP Romania S.R.L., Mihai Fekete
- 17/10/2021 15:44:31
Hi Stephane,

thanks for the work, still we have some issue is setuptools

Generate default setup.py for an addons directory........................Failed
- hook id: setuptools-odoo-make-default
- exit code: 1

Traceback (most recent call last):
  File "/home/runner/.cache/pre-commit/repofz2grbw4/py_env-python3/bin/setuptools-odoo-make-default", line 8, in <module>
    sys.exit(main())
  File "/home/runner/.cache/pre-commit/repofz2grbw4/py_env-python3/lib/python3.9/site-packages/setuptools_odoo/make_default_setup.py", line 397, in main
    make_default_setup_addons_dir(
  File "/home/runner/.cache/pre-commit/repofz2grbw4/py_env-python3/lib/python3.9/site-packages/setuptools_odoo/make_default_setup.py", line 151, in make_default_setup_addons_dir
    make_default_setup_addon(
  File "/home/runner/.cache/pre-commit/repofz2grbw4/py_env-python3/lib/python3.9/site-packages/setuptools_odoo/make_default_setup.py", line 98, in make_default_setup_addon
    _, _, odoo_version_info = _get_version(
  File "/home/runner/.cache/pre-commit/repofz2grbw4/py_env-python3/lib/python3.9/site-packages/setuptools_odoo/core.py", line 151, in _get_version
    raise DistutilsSetupError(
distutils.errors.DistutilsSetupError: Unsupported odoo version '15.0' in ./l10n_ro_config

Generate requirements.txt for an addons directory........................Failed
- hook id: setuptools-odoo-get-requirements
- exit code: 1

Traceback (most recent call last):
  File "/home/runner/.cache/pre-commit/repofz2grbw4/py_env-python3/bin/setuptools-odoo-get-requirements", line 8, in <module>
    sys.exit(main())
  File "/home/runner/.cache/pre-commit/repofz2grbw4/py_env-python3/lib/python3.9/site-packages/setuptools_odoo/get_requirements.py", line 115, in main
    requirements = _get_requirements(
  File "/home/runner/.cache/pre-commit/repofz2grbw4/py_env-python3/lib/python3.9/site-packages/setuptools_odoo/get_requirements.py", line 62, in _get_requirements
    metadata = get_addon_metadata(addon_dir, **overrides)
  File "/home/runner/.cache/pre-commit/repofz2grbw4/py_env-python3/lib/python3.9/site-packages/setuptools_odoo/core.py", line 388, in get_addon_metadata
    smeta = get_addon_setuptools_keywords(
  File "/home/runner/.cache/pre-commit/repofz2grbw4/py_env-python3/lib/python3.9/site-packages/setuptools_odoo/core.py", line 440, in get_addon_setuptools_keywords
    version, _, odoo_version_info = _get_version(
  File "/home/runner/.cache/pre-commit/repofz2grbw4/py_env-python3/lib/python3.9/site-packages/setuptools_odoo/core.py", line 151, in _get_version
    raise DistutilsSetupError(
distutils.errors.DistutilsSetupError: Unsupported odoo version '15.0' in ./l10n_ro_config

Even i checked and the version is added in the github on Acsone.

Regards / Cu respect,
Mihai Fekete

NextERP Romania S.R.L.
600B, Peciu Nou, Romania

E-mail: feketemihai@nexterp.ro
Telefon: ‪0788-749989‬
Website: https://nexterp.ro



On Sun, Oct 17, 2021 at 5:42 PM Stéphane Bidoul <stephane.bidoul@acsone.eu> wrote:
Dear contributors,

As I'm writing this, the migration issues have been created and the 15.0 branches are being initialized.

CI is done using GitHub actions by default.

At the moment, runbot is not enabled while we are investigating options to make it run without .travis.yml.

Let me know of any issue you might notice.

Best regards,

--
Stéphane Bidoul
Operations Director
http://acsone.eu/

_______________________________________________
Mailing-List: https://odoo-community.org/groups/contributors-15
Post to: mailto:contributors@odoo-community.org
Unsubscribe: https://odoo-community.org/groups?unsubscribe

Reference